com.google.zxing.qrcode.decoder

## Class Version

- java.lang.Object
- - com.google.zxing.qrcode.decoder.Version

-     public final class Version
      extends Object

  See ISO 18004:2006 Annex D

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Version.ECB` Encapsulates the parameters for one error-correction block in one symbol version.
    `static class` | `Version.ECBlocks` Encapsulates a set of error-correction blocks in one symbol version.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) BitMatrix` | `buildFunctionPattern()` See ISO 18004:2006 Annex E
    `(package private) static Version` | `decodeVersionInformation(int versionBits)`
    `int[]` | `getAlignmentPatternCenters()`
    `int` | `getDimensionForVersion()`
    `Version.ECBlocks` | `getECBlocksForLevel(ErrorCorrectionLevel ecLevel)`
    `static Version` | `getProvisionalVersionForDimension(int dimension)` Deduces version information purely from QR Code dimensions.
    `int` | `getTotalCodewords()`
    `static Version` | `getVersionForNumber(int versionNumber)`
    `int` | `getVersionNumber()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### buildFunctionPattern

          BitMatrix buildFunctionPattern()

      See ISO 18004:2006 Annex E

    - #### decodeVersionInformation

          static Version decodeVersionInformation(int versionBits)

    - #### getAlignmentPatternCenters

          public int[] getAlignmentPatternCenters()

    - #### getDimensionForVersion

          public int getDimensionForVersion()

    - #### getECBlocksForLevel

          public Version.ECBlocks getECBlocksForLevel(ErrorCorrectionLevel ecLevel)

    - #### getProvisionalVersionForDimension

          public static Version getProvisionalVersionForDimension(int dimension)
                                                           throws FormatException

      Deduces version information purely from QR Code dimensions.

      Parameters:
        `dimension` - dimension in modules
      Returns:
        Version for a QR Code of that dimension
      Throws:
        `FormatException` - if dimension is not 1 mod 4

    - #### getTotalCodewords

          public int getTotalCodewords()

    - #### getVersionForNumber

          public static Version getVersionForNumber(int versionNumber)

    - #### getVersionNumber

          public int getVersionNumber()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`